{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('help/customer_care/support_request') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('help/customer_care/support_request') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Kontakt zum Kundenservice</span>
        {{ form_widget(supportRequestForm.save, {'label': 'ANFRAGE SENDEN', 'id': supportRequestForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card px-4 py-3 mb-3">
            <h2 class="mb-3">Ihre Anfrage beim Kundensupport</h2>
            <p>Um Ihre Anfrage bestmöglich bearbeiten zu können, füllen Sie bitte das nachfolgende Kontaktformular aus. Wir eröffnen dadurch ein Ticket und informieren Sie über den Fortschritt.</p>
            {{ form_start(supportRequestForm, {'attr': {'id': supportRequestForm.vars.id ~ '_form'}}) }}
            {% include 'help/form/customer_care/support_request_form.html.twig' with {'form': supportRequestForm} only %}
            {{ form_row(supportRequestForm._token) }}
            {{ form_end(supportRequestForm, {'render_rest': false}) }}

            {% if supportPublicEmailAddress is not empty and supportPublicPhoneNumber is not empty %}
                <p class="mb-3 mt-5">Gerne erreichen Sie uns bei Fragen auch per E-Mail oder Telefon unter: </p>
                <p class="mb-1">
                    <a href="mailto:{{ supportPublicEmailAddress }}">{{ supportPublicEmailAddress }}</a><br>
                    <a href="tel:{{ supportPublicPhoneNumber }}">Telefon: {{ supportPublicPhoneNumber }}</a>
                </p>
            {% endif %}
        </div>
    </div>
{% endblock %}
